:root{
    --green:#6F8F4E;
    --dark-green:#3F5A36;
    --olive:#8A9A5B;
    --gold:#D8C47A;
    --cream:#F8F5EF;
    --sand:#E9DFC6;
    --brown:#4B3A2E;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

@font-face {
    font-family:"Cormorant Garamond";
    src:url("fonts/CormorantGaramond-Regular.ttf") format("woff2");
    font-weight:400;
    font-style:normal;
    font-display:swap;
}


@font-face {
    font-family:"Cormorant Garamond";
    src:url("fonts/CormorantGaramond-SemiBold.ttf") format("woff2");
    font-weight:600;
    font-style:normal;
    font-display:swap;
}

@font-face {
    font-family:"Inter";
    src:url("fonts/inter-v20-latin-300.woff2") format("woff2");
    font-weight:300;
    font-style:normal;
    font-display:swap;
}

@font-face {
    font-family:"Inter";
    src:url("fonts/inter-v20-latin-regular.woff2") format("woff2");
    font-weight:400;
    font-style:normal;
    font-display:swap;
}

@font-face {
    font-family:"Inter";
    src:url("fonts/inter-v20-latin-500.woff2") format("woff2");
    font-weight:500;
    font-style:normal;
    font-display:swap;
}

html{
    scroll-behavior:smooth;
}

body{
    background:var(--cream);
    color:var(--brown);
    font-family:"Inter",sans-serif;
    line-height:1.7;
}

h1,h2,h3{
    font-family:"Cormorant Garamond",serif;
    font-weight:600;
}

header{
    position:relative;
    height:100vh;
    overflow:visible;
}

header{
    width:min(1400px,92%);
    height:85vh;
    margin:30px auto 0;
    position:relative;
    overflow:visible;
    border-radius:25px;
}

ul {
    list-style:none;
    padding:0;
    margin:25px 0;
}

li {
    position:relative;
    padding-left:25px;
    margin-bottom:12px;
}

li::before {
    content:"•";
    position:absolute;
    left:5px;
    color:var(--gold);
    font-size:1.3rem;
}

.slideshow{
    position:absolute;
    inset:0;
    overflow:hidden;
}

.slide{
    position:absolute;
    inset:0;
    opacity:0;
    transition:opacity 1.5s ease-in-out;
}

.slide.active{
    opacity:1;
}

.slide img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.slide img{
    width:100%;
    height:100%;
    object-fit:cover;
    animation: zoom 8s ease-in-out infinite;
}

@keyframes zoom{
    from{
        transform:scale(1);
    }
    to{
        transform:scale(1.08);
    }
}

header img{
    width:100%;
    height:100%;
    object-fit:cover;
    position:absolute;
    top:0;
    left:0;
}

.overlay{
    position:absolute;
    inset:0;
    /*background:rgba(25,35,20,.45);*/
}

.hero{
    position:relative;
    z-index:2;
    height:100%;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    color:white;
    padding:20px;
}

.hero h1{
    font-size:clamp(2.5rem, 7vw, 5.5rem);
    letter-spacing:2px;
    margin-bottom:20px;
}

.hero p{
    font-size:1.3rem;
    font-weight:300;
}

.button{
    display:inline-block;
    margin-top:40px;
    padding:15px 36px;
    text-decoration:none;
    background:var(--gold);
    color:var(--dark-green);
    border-radius:50px;
    transition:.3s;
    font-weight:600;
}

.button:hover{
    background:white;
    transform:translateY(-4px);
}

section{
    width:min(1200px,90%);
    margin:auto;
    padding:100px 0;
}

.about{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:60px;
    align-items:center;
}

.about h2{
    color:var(--dark-green);
    font-size:clamp(2rem,5vw,3.2rem);
    margin-bottom:25px;
}

.about p{
    margin-bottom:18px;
}

.about img{
    width:100%;
    border-radius:20px;
    box-shadow:0 20px 45px rgba(0,0,0,.15);
}

.wines, .contact{
    text-align:center;
}

.wines h2, .contact h2{
    font-size:clamp(2rem,5vw,3.2rem);
    color:var(--dark-green);
    margin-bottom:60px;
}

html {
    scroll-behavior:smooth;
}

section {
    scroll-margin-top:120px;
}

.main-nav {
    display:flex;
    gap:30px;
}


.main-nav a {
    color:white;
    text-decoration:none;
    font-size:.95rem;
    letter-spacing:.05em;
    transition:.3s;
}

.main-nav a:hover {
    color:var(--gold);
}

.menu-toggle {
    display:none;
    background:none;
    border:none;
    color:white;
    font-size:2rem;
    cursor:pointer;
}

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
    gap:30px;
}

.card{
    background:white;
    padding:40px;
    border-radius:20px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
}

.card h3{
    color:var(--dark-green);
    font-size:2rem;
    margin-bottom:15px;
}

.gallery{
    text-align:center;
}

.gallery h2{
    color:var(--dark-green);
    font-size:clamp(2rem,5vw,3.2rem);
    margin-bottom:50px;
}

.gallery-grid {
    display:grid;
    grid-template-columns:repeat(3, 1fr);
    gap:25px;
}

.gallery-grid img {
    width:100%;
    height:320px;
    object-fit:cover;
    border-radius:18px;
    cursor:pointer;
    transition:.4s;
}

.gallery-grid img:hover {
    transform:scale(1.03);
}


footer{
    background:var(--dark-green);
    color:white;
    text-align:center;
    padding:70px 20px;
}

.footer-links{
    margin-top:25px;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:15px;
    flex-wrap:wrap;
}

.footer-links a{
    color:white;
    text-decoration:none;
    transition:.3s;
}

.footer-links a:hover{
    color:var(--gold);
}

footer h3{
    font-size:2.3rem;
    margin-bottom:15px;
}

.copyright{
    margin-top:25px;
    opacity:.75;
}

.topbar{
     width:min(1400px,92%);
    position:fixed;
    top:0; /*20px;*/
    left:50%;
    transform:translateX(-50%);
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:15px 35px;
    z-index:9999;
    background:rgba(35,45,25,0.75);
    backdrop-filter:blur(12px);
    -webkit-backdrop-filter:blur(12px);
    height:70px;
    border-radius:20px;
    box-shadow:
        0 10px 35px rgba(0,0,0,.25);
}

.logo img{
    height:70px;
    width:auto;
    transition:.3s;
    margin-left: 20px;
}

.logo img:hover{
    transform:scale(1.05);
}

.page-content{
    max-width:900px;
    margin:0 auto;
    padding:150px 30px 80px;
}

@media(max-width:900px){
    .hero h1{
        font-size:3.4rem;
    }

    .about{
        grid-template-columns:1fr;
    }
}

/* ---------- Tablets ---------- */

@media (max-width: 992px){
    section{
        width:92%;
        padding:80px 0;
    }

    .hero h1{
        font-size:4rem;
    }

    .hero p{
        font-size:1.1rem;
    }

    .about{
        grid-template-columns:1fr;
        gap:40px;
    }

    .cards{
        grid-template-columns:repeat(2,1fr);
    }
    
    .gallery-grid{
        grid-template-columns:repeat(2,1fr);
    }
}

/* ---------- Smartphones ---------- */

@media (max-width:768px){
    .hero{
        padding:30px;
    }

    .hero h1{
        font-size:2.8rem;
        line-height:1.1;
    }

    .hero p{
        font-size:1rem;
    }

    .button{
        padding:14px 28px;
        font-size:.95rem;
        display:inline-block;
    	min-width:180px;
    	text-align:center;
    }

    h2{
        font-size:2.3rem !important;
    }

    section{
        padding:60px 0;
    }

    .cards{
        grid-template-columns:1fr;
    }

   .gallery-grid{
        grid-template-columns:1fr;
    }

    .gallery-grid img{
        height:220px;
    }
}

/* ---------- Small smartphones ---------- */

@media (max-width:480px){
    .hero h1{
        font-size:2.2rem;
    }

    .hero p{
        font-size:.95rem;
    }

    section{
        width:90%;
    }

    .about h2,
    .wines h2,
    .gallery h2{
        font-size:2rem !important;
    }

    .card{
        padding:28px;
    }

    footer{
        padding:50px 20px;
    }
}

@media(max-width:860px){
    .menu-toggle{
        display:block;
        color:white;
        font-size:2rem;
        cursor:pointer;
        background:none;
        border:0;
    }

    .main-nav.active{
        display:flex;
        position:fixed;
        top:90px;
        left:50%;
        transform:translateX(-50%);
        width:90%;
        background:rgba(35,45,25,.95);
        padding:30px;
        border-radius:20px;
        flex-direction:column;
        z-index:99999;
    }
    
    .main-nav{
        display: none;
    }
}

/* =====================
   Lightbox Overlay
===================== */


.lightbox {
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.85);
    display:flex;
    justify-content:center;
    align-items:center;
    opacity:0;
    visibility:hidden;
    transition:.3s;
    z-index:2000;
    cursor:pointer;
}

.lightbox.active {
    opacity:1;
    visibility:visible;
}

.lightbox img {
    max-width:90%;
    max-height:85vh;
    border-radius:15px;
    box-shadow:0 20px 60px rgba(0,0,0,.5);
    cursor:default;
}
